Subject: Re: [PATCH 0/3] PM: Renesas: Remove dummy runtime PM callbacks

From: Wolfram Sang <[email-masked]>
Date: Wed, 24 Oct 2018 15:22:00 +0100

On Wed, Oct 24, 2018 at 04:51:31PM +0300, Jarkko Nikula wrote:
> I noticed these independent Renesas drivers have needless dummy runtime
> PM callbacks. I don't have the HW so only build tested.
> 
> Patches can be applied independently to their own subsystems. I wanted to
> send them together if some of them gets Tested-by or sees a regression.

At least the I2C driver part of this was on my todo list as well (just a
bit lower :/). I wanted to find out why they have been there in the
first place. Do you know if such callbacks were needed "back in the
days"?

Adding Magnus to recipients...

> 
> Jarkko Nikula (3):
>   i2c: sh_mobile: Remove dummy runtime PM callbacks
>   net: ethernet: Remove dummy runtime PM callbacks from Renesas drivers
>   usb: renesas_usbhs: Remove dummy runtime PM callbacks
> 
>  drivers/i2c/busses/i2c-sh_mobile.c       | 18 ------------------
>  drivers/net/ethernet/renesas/ravb_main.c | 13 -------------
>  drivers/net/ethernet/renesas/sh_eth.c    | 13 -------------
>  drivers/usb/renesas_usbhs/common.c       | 14 --------------
>  4 files changed, 58 deletions(-)
> 
> -- 
> 2.19.1
>